local frame = CreateFrame("Frame")

-- controls to enable/disable auto loot from occurring
local autoLoot = nil -- holds value of CVar "autoLootDefault" (true or false)
local grabCVar = function FetchCVar() autoLoot = GetCVarBool("autoLootDefault"); return autoLoot; end

hooksecurefunc("SetCVar", grabCVar) -- updates local CVar value

-- loots items if auto loot is turned on xor toggle key is pressed
local function LootContents()
  if (autoLoot == nil) then grabCVar(); end -- check if local CVar value is nil
  if (autoLoot ~= IsModifiedClick("AUTOLOOTTOGGLE")) then -- xor
    local space = 0
	
	-- finds total free space by adding up empty slots from each bag
	for bag = 0, 4 do space = space + GetContainerNumFreeSlots(bag); end
	
    -- loops least amount of times to prevent random disconnections
	for i = 1, math.min(space, GetNumLootItems()) do LootSlot(i); end
  end
end

-- triggering events and actions to fire
frame:RegisterEvent("LOOT_READY")
frame:SetScript("OnEvent", LootContents);